--- a/bin/mount-encrypted-stick Tue Dec 25 23:21:02 2018 -0500
+++ b/bin/mount-encrypted-stick Wed Jan 02 14:02:48 2019 -0500
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -euo pipefail
+set -xeuo pipefail
sudo cryptsetup luksOpen "/dev/$1" "$1_crypt"
sudo mkdir -p "/media/sjl/encrypted_drive_$1"
--- a/restic/excludes.txt Tue Dec 25 23:21:02 2018 -0500
+++ b/restic/excludes.txt Wed Jan 02 14:02:48 2019 -0500
@@ -1,12 +1,20 @@
.cache
cache2
+.hg
+.git
/home/sjl/.dbus
/home/sjl/src/dotfiles/vim/tmp
/home/sjl/snap
/home/sjl/.mozilla
/home/sjl/.dropbox
/home/sjl/.steam
+/home/sjl/.quicklisp
+/home/sjl/.virtualenvs
/home/sjl/.local/share
+/home/sjl/.local/lib/python*
/home/sjl/.config/chromium
+/home/sjl/.config/libreoffice
+/home/sjl/.config/discord
+/home/sjl/.dropbox-dist
/home/sjl/Dropbox/.dropbox.cache
--- a/weechat/exec.conf Tue Dec 25 23:21:02 2018 -0500
+++ b/weechat/exec.conf Wed Jan 02 14:02:48 2019 -0500
@@ -12,7 +12,6 @@
[command]
default_options = ""
purge_delay = 0
-shell = "sh"
[color]
flag_finished = lightred
--- a/weechat/relay.conf Tue Dec 25 23:21:02 2018 -0500
+++ b/weechat/relay.conf Wed Jan 02 14:02:48 2019 -0500
@@ -35,8 +35,6 @@
password = ""
ssl_cert_key = "%h/ssl/relay.pem"
ssl_priorities = "NORMAL:-VERS-SSL3.0"
-totp_secret = ""
-totp_window = 0
websocket_allowed_origins = ""
[irc]